<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Styling and Positioning</title>
	<link rel="stylesheet" type="text/css" href="./index.css">
</head>
<body>
	<h2>CSS Common Styling</h2>

	<h4>Display Properties</h4>

	<div id="div-1">This is a div</div>
	<span id="span-1">This is a span</span>
	<img src="https://place-puppy.com/450x450">
	
	<span id="span-2">This is another span</span>
	<div id="div-2">This is another div</div>

	<h3>Notes in block, inline, and inline-block</h3>
	<p id="p-1">Block takes up the whole width</p>
	<p id="p-2">Width 60</p>
	<p id="p-3">Width 40</p>
	<p>Even if there is enough space, block elemennts do not sit next to each other unless if they're floated.</p>

	<p>Inline Elements are things like blod and Italics. You cannot control the height and width of these elements.</p>

	<p>Inline-Block sit on the same line and combines block and inline properties.</p>

	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>

	<h4>Float</h4>

	<p>The float property is used for positioning and formatting content e.g. an image float to the left of the test in a container</p>

	<p id="img-puppy">
		<img src="https://place-puppy.com/450x450" class="img-float">
		Lorem ipsum dolor sit amet consectetur, adipisicing elit. Autem, exercitationem eveniet pariatur impedit. Architecto quasi itaque, accusantium tenetur. Incidunt, aperiam, reprehenderit. Repudiandae, culpa eos nulla odio. Odio perferendis, accusamus ad. Lorem ipsum dolor sit amet consectetur adipisicing elit. Blanditiis inventore numquam quia, accusantium modi, voluptate assumenda architecto, dicta laboriosam sit sequi perspiciatis quo ab soluta consequuntur, incidunt totam.
		Tempore, perspiciatis. Lorem ipsum dolor sit amet consectetur, adipisicing, elit. Incidunt amet asperiores omnis architecto delectus dolorum, temporibus cumque optio, quidem. Praesentium eum, qui vel dolorem fugit nemo, consectetur necessitatibus. Sapiente, doloremque?

	</p>

	<hr>

	<h4>CSS Units</h4>

	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>

	<h4>vw/vh</h4>

	<div class="box fifty-vw">50vw</div>
	<div class="box twenty-five-vh">25vh</div>

	<h4>em vs rem</h4>

		<div>16px</div>
		<div class="box one-rem">1rem</div>
		<div class="box one-em">1em</div>
		<div class="box two-rem">2rem</div>
		<div class="box two-em">2em</div>

	<div class="parent-element">
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px"</div>

		<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>

		<div class="box one-rem">1rem</div>
		<div class="box one-em">1em</div>
		<div class="box two-rem">2rem</div>
		<div class="box two-em">2em</div>

	</div>
	<h4>Background Properties</h4>

	<section class="background">
		<div class="container-bg">
			<h3 class="bg-title">CSS Background Properties</h3>
		</div>
	</section>
	<h4>CSS Positioning</h4>
	<div class="parent">
		Parent Element
		<div class="child-one">I'm the child one element</div>
		<div class="child-two">All eyes on me. I'm the child</div>
		<div class="child-three">I'm the child three element</div>
	</div>

	<h4>Z-index</h4>
	<p>An element with the greater stack orders is always above an element with a lower stact order.</p>

	<div class="container">
		<div class="black-box">z-index: 1</div>
		<div class="gray-box">z-index: 3</div>
		<div class="green-box">z-index: 2</div>
		
	</div>
</body>
</html>